<webclass id="editRecord">

<if condition="'{{state}}'!='hidden'">

<if condition="'{{state}}'=='add'"><strong>T_("Add Record")</strong></if>
<if condition="'{{state}}'=='edit'"><strong>T_("Edit Record")</strong></if>

<form name="{{obj_name}}" id="{{obj_name}}" onsubmit="return false;">
<input type="submit" class="hidden_submit" value=""
       onclick="this.focus(); editRecord_save('{{obj_name}}');" />

<table class="editRecord-table" border="0" cellspacing="1" cellpadding="2">
  <repeat rs="{{table}}->fields">
    <tr>
      <td class="editRecord-fieldname">{{fld_name}}:</td>
      <td class="editRecord-fieldvalue">
        <input type="text" name="{{fld_name}}" id="{{fld_name}}"
               value="{{{{fld_name}}}}" />
      </td>
    </tr>
  </repeat>
</table>

</form>

<a class="button" href="javascript:editRecord_save('{{obj_name}}')">
T_("Save")</a>
<a class="button" href="javascript:editRecord_cancel('{{obj_id}}')">
T_("Cancel")</a>

</if>

</webclass>
